Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBoolFlip Class Reference

a simple boolean mutation - to be used in generic eoOp's More...

`#include <eoBoolFlip.h>`

Inheritance diagram for eoBoolFlip:

List of all members.

## Public Member Functions
bool | operator() (bool &_b)
| simply flips the boolean argument
virtual string | className () const
| inherited className()

## Detailed Description

a simple boolean mutation - to be used in generic eoOp's

Definition at line 32 of file eoBoolFlip.h.

The documentation for this class was generated from the following file:

- eoBoolFlip.h